## org.gjt.sp.jedit.pluginmgr
Class MirrorList

    java.lang.Object
      org.gjt.sp.jedit.pluginmgr.MirrorList

    public class MirrorList

extends java.lang.Object

Nested Class Summary
`static class` `MirrorList.Mirror`

Constructor Summary
`MirrorList(boolean download, ProgressObserver observer)`

Method Summary
`java.util.List<MirrorList.Mirror>` `getMirrors()`
`java.lang.String` `getXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MirrorList

    public MirrorList(boolean download,
                      ProgressObserver observer)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getXml

    public java.lang.String getXml()

### getMirrors

    public java.util.List<MirrorList.Mirror> getMirrors()